# Created by pyp2rpm-3.3.4
%global pypi_name patiencediff

Name:           python-%{pypi_name}
Version:        0.2.14
Release:        %mkrel 2
Summary:        Python implementation of the patiencediff algorithm
Group:          Development/Python
License:        GNU GPLv2 or later
URL:            https://www.breezy-vcs.org/
Source0:        %{pypi_source}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
This package contains the implementation of the patiencediff algorithm,
as first described by Bram Cohen.

Like Python’s difflib, this module provides both a convenience unified_diff
function for the generation of unified diffs of text files as well as a
SequenceMatcher that can be used on arbitrary lists.

Patiencediff provides a good balance of performance, nice output for humans,
and implementation simplicity.

The code in this package was extracted from the Bazaar code base.

The package comes with two implementations:

- A Python implementation (_patiencediff_py.py);
  this implementation only requires a Python interpreter and is the more
  readable version of the two.
- A C implementation implementation (_patiencediff_c.c);
  this implementation is faster, but requires a C compiler and is less
  readable.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package contains the implementation of the patiencediff algorithm,
as first described by Bram Cohen.

Like Python’s difflib, this module provides both a convenience unified_diff
function for the generation of unified diffs of text files as well as a
SequenceMatcher that can be used on arbitrary lists.

Patiencediff provides a good balance of performance, nice output for humans,
and implementation simplicity.

The code in this package was extracted from the Bazaar code base.

The package comes with two implementations:

- A Python implementation (_patiencediff_py.py);
  this implementation only requires a Python interpreter and is the more
  readable version of the two.
- A C implementation implementation (_patiencediff_c.c);
  this implementation is faster, but requires a C compiler and is less
  readable.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files patiencediff

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/patiencediff


%changelog
* Sat Dec 09 2023 wally <wally> 0.2.14-2.mga10
+ Revision: 2016330
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 0.2.14-1.mga10
+ Revision: 1988397
- new 0.2.14

* Sun Oct 02 2022 neoclust <neoclust> 0.2.3-1.mga9
+ Revision: 1894003
- New version 0.2.3

* Sat Mar 19 2022 umeabot <umeabot> 0.2.2-3.mga9
+ Revision: 1799273
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.2.2-2.mga9
+ Revision: 1782892
- Rebuild for python-3.10

* Sun May 09 2021 wally <wally> 0.2.2-1.mga9
+ Revision: 1722326
- new evrsion 0.2.2

* Fri Mar 19 2021 neoclust <neoclust> 0.2.1-2.mga9
+ Revision: 1704949
- Rebuild against python 3.9

* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.2.1-1.mga8
+ Revision: 1648441
- new version 0.2.1

* Sat Jul 04 2020 wally <wally> 0.2.0-1.mga8
+ Revision: 1601841
- imported package python-patiencediff

